| Face Engine SDK 5.32.0 A face detection, recognition and tracking engine.

Public Member Functions | List of all members
fsdk::IFightsEstimator Struct Referenceabstract
Estimators

FightsEstimator estimator interface. More...

`#include <IFightsEstimator.h>`

Inheritance diagram for fsdk::IFightsEstimator:

## Public Member Functions
virtual size_t | getBatchSize () const noexcept=0
| Returns the required size for each batch from the video for analysis.
virtual size_t | getMinBatchCount () const noexcept=0
| Returns the minimun count of batches from the video for analysis. More...
virtual ResultValue< FSDKError, IFightsEstimatorContextPtr > | estimate (Span< const Image > framesBatch, IFightsEstimatorContextPtr context) const noexcept=0
virtual Result< FSDKError > | validate (Span< const Image > framesBatch, Span< Result< FSDKError >> errors) const noexcept=0
| Validates input batch of frames in a single function call. More...
Public Member Functions inherited from fsdk::IRefCounted
virtual int32_t | retain () noexcept=0
| Increase strong reference count. More...
virtual int32_t | retainLocked () noexcept=0
| Increase strong reference count thread safely. More...
virtual int32_t | release () noexcept=0
| Decrease strong reference count. More...
virtual int32_t | getRefCount () const noexcept=0
| Get actual strong reference count. More...
virtual int32_t | retainWeak () noexcept=0
| Increase weak reference count. More...
virtual int32_t | releaseWeak () noexcept=0
| Decrease weak reference count. More...
virtual int32_t | getWeakRefCount () const noexcept=0
| Get actual weak reference count. More...

## Detailed Description

FightsEstimator estimator interface.

Note
  This estimator is designed for video analysis to find the fights. The video should be passes as an array of frames in the Format::R8G8B8 format, grouped by batches with size M. Note: the M value could be known by getBathSize() call

## Member Function Documentation

## ◆ estimate()

virtual ResultValue<FSDKError, IFightsEstimatorContextPtr> fsdk::IFightsEstimator::estimate | ( | Span< const Image > | framesBatch,
|  | IFightsEstimatorContextPtr | context
| ) |  | const
| pure virtual noexcept

Esimates current fight state for the batch from the video for analysis.

Parameters

  [in] | framesBatch | source frames batch.
  [in] |  |

## ◆ getMinBatchCount()

virtual size_t fsdk::IFightsEstimator::getMinBatchCount | ( |  | ) | const
| pure virtual noexcept

Returns the minimun count of batches from the video for analysis.

Note
  The estimator will return IFightsEstimatorContext::State::NotReady until all required frames batches have been passed for processing.

See also
  IFightsEstimatorContext::State for details.

## ◆ validate()

virtual Result<FSDKError> fsdk::IFightsEstimator::validate | ( | Span< const Image > | framesBatch,
|  | Span< Result< FSDKError >> | errors
| ) |  | const
| pure virtual noexcept

Validates input batch of frames in a single function call.

Parameters

  [in] | framesBatch | source frames batch.
  [out] | errors | output span of errors for each image.

Returns
  Result with error code.

See also
  Image, Span, Result and FSDKError for details.

Note
  Images format must be Format::R8G8B8,

See also
  Format.

Note
  all spans should be based on user owned continuous collections.
  all spans should be equal size.

The documentation for this struct was generated from the following file:

- include/fsdk/Estimators/IFightsEstimator.h